class StatisticsData {
  final int totalCount;
  final int recentCount;
  final int firstPlayedArtistsCount;
  final int firstPlayedTracksCount;
  final int selectedPeriod;
  final DateTime lastScrobble;

  const StatisticsData({
    required this.totalCount,
    required this.recentCount,
    required this.firstPlayedArtistsCount,
    required this.firstPlayedTracksCount,
    required this.selectedPeriod,
    required this.lastScrobble,
  });

  factory StatisticsData.fromJson(Map<String, dynamic> json) {
    return StatisticsData(
      totalCount: json['totalCount'] as int,
      recentCount: json['recentCount'] as int,
      firstPlayedArtistsCount: json['firstPlayedArtistsCount'] as int,
      firstPlayedTracksCount: json['firstPlayedTracksCount'] as int,
      selectedPeriod: json['selectedPeriod'] as int,
      lastScrobble: DateTime.parse(
        json['lastScrobble']['date'],
      ),
    );
  }
}
